:man_page: mongoc_stream_file_t

mongoc_stream_file_t
====================

Synopsis
--------

.. code-block:: c

  typedef struct _mongoc_stream_file_t mongoc_stream_file_t

``mongoc_stream_file_t`` is a :symbol:`mongoc_stream_t` subclass for working with standard UNIX style file-descriptors.

.. only:: html

  Functions
  ---------

  .. toctree::
    :titlesonly:
    :maxdepth: 1

    mongoc_stream_file_get_fd
    mongoc_stream_file_new
    mongoc_stream_file_new_for_path

